Subject: Re: bug#67678: 30.0.50; Turning off menu-bar-mode after setting some default face attributes causes bad initial rendering

From: Mekeor Melire <[email-masked]>
Date: Thu, 07 Dec 2023 11:49:29 +0000

2023-12-07 12:06 [email-masked]:

> > From: Mekeor Melire <[email-masked]>
> > Date: Thu, 07 Dec 2023 07:35:36 +0000

> Does the font you use for the default face have the medium weight
> variant?

I'd guess so but I do not know for sure.

> What happens if you replace 'medium with 'bold in the snippet above?

The bug is provoked with :weight 'bold as well.

> Is the display also corrected if you invoke "M-x redraw-display"
> instead of resizing the frame?

No, calling `redraw-display' does not correct the display.

> That's unlikely, since that code deals with saving the options changed
> via menu-bar menus.  That is, that code is in a function invoked when
> you click on the menu bar and select Options->Save Options.  It is not
> supposed to be used when processing your snippet file.

I see, thanks for explaining.